[SRU] net ads dns register fails in 2008 R2 domain

Bug #558793 reported by Aaron J. Zirbes on 2010-04-08
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
samba
Fix Released
Medium
samba (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: samba

Samba fails to do Dynamic DNS updates for Member server in Windows Server 2008 R2 Active Directory

Samba 3.4.7
Ubuntu 10.4 Server

Linux enhs-nunstudy 2.6.32-19-server #28-Ubuntu SMP Thu Apr 1 11:46:36 UTC 2010 x86_64 GNU/Linux
samba 2:3.4.7~dfsg-1ubuntu2

sudo net ads testjoin -P
Join is OK

sudo net ads status -P
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: user
objectClass: computer
cn: enhs-nunstudy
distinguishedName: CN=enhs-nunstudy,OU=Servers,OU=Computers,OU=ENHS,OU=SPH,OU=Medical,OU=TC,OU=Units,DC=ad,DC=umn,DC=edu
instanceType: 4
whenCreated: 20100408191652.0Z
whenChanged: 20100408222355.0Z
uSNCreated: 22096306
uSNChanged: 22164820
name: enhs-nunstudy
objectGUID: 34f5a339-c6ec-4661-XXXXX
userAccountControl: 69632
badPwdCount: 0
codePage: 0
countryCode: 0
badPasswordTime: 129152302177892432
lastLogon: 129152396733757235
localPolicyFlags: 0
pwdLastSet: 129152302174449063
primaryGroupID: 515
objectSid: S-1-5-21-1317685450-XXXX
accountExpires: 9223372036854775807
logonCount: 24
sAMAccountName: ENHS-NUNSTUDY$
location: 160.94.224.93
sAMAccountType: 805306369
dNSHostName: enhs-nunstudy.ad.umn.edu
servicePrincipalName: HOST/enhs-nunstudy.ad.umn.edu
servicePrincipalName: HOST/ENHS-NUNSTUDY
objectCategory: CN=Computer,CN=Schema,CN=Configuration,DC=ad,DC=umn,DC=edu
isCriticalSystemObject: FALSE
dSCorePropagationData: 16010101000000.0Z
lastLogonTimestamp: 129152302176165129

Note: This update fails when passing -U adminAccount%secretpassword

sudo net ads dns register -P
DNS update failed!

I've reproduced this on 3 test servers.

What follows is the debug output for the sudo net ads dns register -P command

[2010/04/08 17:29:46, 5] lib/debug.c:407(debug_dump_status)
  INFO: Current debug levels:
    all: True/99
    tdb: False/0
    printdrivers: False/0
    lanman: False/0
    smb: False/0
    rpc_parse: False/0
    rpc_srv: False/0
    rpc_cli: False/0
    passdb: False/0
    sam: False/0
    auth: False/0
    winbind: False/0
    vfs: False/0
    idmap: False/0
    quota: False/0
    acls: False/0
    locking: False/0
    msdfs: False/0
    dmapi: False/0
    registry: False/0
[2010/04/08 17:29:46, 3] param/loadparm.c:9039(lp_load_ex)
  lp_load_ex: refreshing parameters
[2010/04/08 17:29:46, 3] param/loadparm.c:4848(init_globals)
  Initialising global parameters
[2010/04/08 17:29:46, 2] param/loadparm.c:4707(max_open_files)
  rlimit_max: rlimit_max (1024) below minimum Windows limit (16384)
[2010/04/08 17:29:46, 3] ../lib/util/params.c:550(pm_process)
  params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
[2010/04/08 17:29:46, 3] param/loadparm.c:7726(do_section)
  Processing section "[global]"
  doing parameter server string = EnHS Health Studies Samba Server
  doing parameter netbios name = %h
[2010/04/08 17:29:46, 4] param/loadparm.c:7088(handle_netbios_name)
  handle_netbios_name: set global_myname to: ENHS-NUNSTUDY
  doing parameter workgroup = AD
  doing parameter security = ADS
  doing parameter realm = AD.UMN.EDU
  doing parameter local master = no
  doing parameter client ntlmv2 auth = yes
  doing parameter ntlm auth = no
  doing parameter idmap backend = tdb
  doing parameter idmap uid = 16777216-33554431
  doing parameter idmap gid = 16777216-33554431
  doing parameter idmap config AD:backend = rid
  doing parameter idmap config AD:range = 16777216-33554431
  doing parameter template shell = /bin/bash
  doing parameter template homedir = /home/%D/%U
  doing parameter winbind separator = +
  doing parameter winbind use default domain = yes
  doing parameter winbind offline logon = true
  doing parameter winbind enum users = no
  doing parameter winbind enum groups = no
  doing parameter winbind refresh tickets = true
  doing parameter socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
  doing parameter load printers = no
  doing parameter log file = /var/log/samba/log.%m
  doing parameter max log size = 1000
  doing parameter syslog = 0
  doing parameter panic action = /usr/share/samba/panic-action %d
  doing parameter load printers = no
[2010/04/08 17:29:46, 4] param/loadparm.c:9074(lp_load_ex)
  pm_process() returned Yes
[2010/04/08 17:29:46, 7] param/loadparm.c:9279(lp_servicenumber)
  lp_servicenumber: couldn't find homes
[2010/04/08 17:29:46, 10] param/loadparm.c:8287(set_server_role)
  set_server_role: role = ROLE_DOMAIN_MEMBER
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS-2LE
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS-2LE
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-16LE
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-16LE
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS-2BE
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS-2BE
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-16BE
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-16BE
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF8
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF8
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-8
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-8
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset ASCII
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset ASCII
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset 646
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset 646
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset ISO-8859-1
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset ISO-8859-1
[2010/04/08 17:29:46, 5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS2-HEX
[2010/04/08 17:29:46, 5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS2-HEX
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/util.c:266(init_names)
  Netbios name list:-
  my_netbios_names[0]="ENHS-NUNSTUDY"
[2010/04/08 17:29:46, 2] lib/interface.c:340(add_interface)
  added interface eth0 ip=fe80::20c:29ff:fe9e:d4f8%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2010/04/08 17:29:46, 2] lib/interface.c:340(add_interface)
  added interface eth0 ip=160.94.224.93 bcast=160.94.224.255 netmask=255.255.255.0
[2010/04/08 17:29:46, 11] libads/ldap.c:589(ads_connect)
  ads_connect: entering
      ads: struct ads_struct
          is_mine : true
          ads: struct server
              realm : 'AD.UMN.EDU'
              workgroup : 'AD'
              ldap_server : NULL
              foreign : false
          ads: struct auth
              realm : 'AD.UMN.EDU'
              password : '(PASSWORD ommited)'
              user_name : 'ENHS-NUNSTUDY$'
              kdc_server : NULL
              flags : 0x00000000 (0)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     0: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset : 0x00000000 (0)
              tgt_expire : (time_t)0
              tgs_expire : (time_t)0
              renewable : (time_t)0
          ads: struct config
              flags : 0x00000000 (0)
                     0: DS_SERVER_PDC
                     0: DS_SERVER_GC
                     0: DS_SERVER_LDAP
                     0: DS_SERVER_DS
                     0: DS_SERVER_KDC
                     0: DS_SERVER_TIMESERV
                     0: DS_SERVER_CLOSEST
                     0: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     0: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm : NULL
              bind_path : NULL
              ldap_server_name : NULL
              server_site_name : NULL
              client_site_name : NULL
              current_time : (time_t)0
              schema_path : NULL
              config_path : NULL
          ads: struct ldap
              ld : NULL
              ss :
              last_attempt : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port : 0x00000000 (0)
              wrap_type : 0x0001 (1)
              sbiod : NULL
              mem_ctx : NULL
              wrap_ops : NULL
              wrap_private_data : NULL
              ads: struct in
                  ofs : 0x00000000 (0)
                  needed : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_wrapped : 0x00000000 (0)
                  min_wrapped : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_unwrapped : 0x00000000 (0)
                  sig_size : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 6] libads/ldap.c:346(ads_find_dc)
  ads_find_dc: (ldap) looking for realm 'AD.UMN.EDU'
[2010/04/08 17:29:46, 5] lib/gencache.c:61(gencache_init)
  Opening cache file at /var/run/samba/gencache.tdb
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 4] libsmb/namequery_dc.c:73(ads_dc_name)
  ads_dc_name: domain=AD
[2010/04/08 17:29:46, 11] libads/ldap.c:589(ads_connect)
  ads_connect: entering
      ads: struct ads_struct
          is_mine : true
          ads: struct server
              realm : 'AD.UMN.EDU'
              workgroup : 'AD'
              ldap_server : NULL
              foreign : false
          ads: struct auth
              realm : NULL
              password : '(PASSWORD ommited)'
              user_name : NULL
              kdc_server : NULL
              flags : 0x00000002 (2)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     1: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset : 0x00000000 (0)
              tgt_expire : (time_t)0
              tgs_expire : (time_t)0
              renewable : (time_t)0
          ads: struct config
              flags : 0x00000000 (0)
                     0: DS_SERVER_PDC
                     0: DS_SERVER_GC
                     0: DS_SERVER_LDAP
                     0: DS_SERVER_DS
                     0: DS_SERVER_KDC
                     0: DS_SERVER_TIMESERV
                     0: DS_SERVER_CLOSEST
                     0: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     0: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm : NULL
              bind_path : NULL
              ldap_server_name : NULL
              server_site_name : NULL
              client_site_name : NULL
              current_time : (time_t)0
              schema_path : NULL
              config_path : NULL
          ads: struct ldap
              ld : NULL
              ss :
              last_attempt : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port : 0x00000000 (0)
              wrap_type : 0x0001 (1)
              sbiod : NULL
              mem_ctx : NULL
              wrap_ops : NULL
              wrap_private_data : NULL
              ads: struct in
                  ofs : 0x00000000 (0)
                  needed : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_wrapped : 0x00000000 (0)
                  min_wrapped : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_unwrapped : 0x00000000 (0)
                  sig_size : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 6] libads/ldap.c:366(ads_find_dc)
  ads_find_dc: (cldap) looking for realm 'AD.UMN.EDU'
[2010/04/08 17:29:46, 8] libsmb/namequery.c:2156(get_sorted_dc_list)
  get_sorted_dc_list: attempting lookup for name AD.UMN.EDU (sitename TC) using [ads]
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr 8 17:44:41 2010
[2010/04/08 17:29:46, 5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46, 3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46, 8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 5] libads/ldap.c:203(ads_try_connect)
  ads_try_connect: sending CLDAP request to 192.168.33.51 (realm: AD.UMN.EDU)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [AD], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [ad.umn.edu], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD.UMN.EDU; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 3] libads/ldap.c:621(ads_connect)
  Successfully contacted LDAP server 192.168.33.51
[2010/04/08 17:29:46, 11] libads/ldap.c:717(ads_connect)
  ads_connect: leaving with: Success
      ads: struct ads_struct
          is_mine : true
          ads: struct server
              realm : 'AD.UMN.EDU'
              workgroup : 'AD'
              ldap_server : NULL
              foreign : false
          ads: struct auth
              realm : 'AD.UMN.EDU'
              password : '(PASSWORD ommited)'
              user_name : 'ENHS-NUNSTUDY$'
              kdc_server : '192.168.33.51'
              flags : 0x00000002 (2)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     1: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset : 0x00000000 (0)
              tgt_expire : (time_t)0
              tgs_expire : (time_t)0
              renewable : (time_t)0
          ads: struct config
              flags : 0x000011fd (4605)
                     1: DS_SERVER_PDC
                     1: DS_SERVER_GC
                     1: DS_SERVER_LDAP
                     1: DS_SERVER_DS
                     1: DS_SERVER_KDC
                     1: DS_SERVER_TIMESERV
                     1: DS_SERVER_CLOSEST
                     1: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     1: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm : 'AD.UMN.EDU'
              bind_path : 'dc=AD,dc=UMN,dc=EDU'
              ldap_server_name : 'dceb2.ad.umn.edu'
              server_site_name : 'TC'
              client_site_name : 'TC'
              current_time : (time_t)0
              schema_path : NULL
              config_path : NULL
          ads: struct ldap
              ld : NULL
              ss : 192.168.33.51
              last_attempt : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port : 0x00000185 (389)
              wrap_type : 0x0001 (1)
              sbiod : NULL
              mem_ctx : NULL
              wrap_ops : NULL
              wrap_private_data : NULL
              ads: struct in
                  ofs : 0x00000000 (0)
                  needed : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_wrapped : 0x00000000 (0)
                  min_wrapped : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_unwrapped : 0x00000000 (0)
                  sig_size : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] libads/kerberos.c:853(create_local_private_krb5_conf_for_domain)
  create_local_private_krb5_conf_for_domain: fname = /var/run/samba/smb_krb5/krb5.conf.AD, realm = AD.UMN.EDU, domain = AD
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr 8 17:44:41 2010
[2010/04/08 17:29:46, 5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46, 3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46, 8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr 8 17:44:41 2010
[2010/04/08 17:29:46, 5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46, 3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename (null))
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46, 8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46, 5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr 8 17:40:26 2010
[2010/04/08 17:29:46, 5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46, 9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46, 4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] libads/kerberos.c:804(get_kdc_ip_string)
  get_kdc_ip_string: Returning kdc = 192.168.33.51
   kdc = 192.168.33.52
   kdc = 192.168.33.50
   kdc = 192.168.33.52
   kdc = 192.168.33.50

[2010/04/08 17:29:46, 5] libads/kerberos.c:921(create_local_private_krb5_conf_for_domain)
  create_local_private_krb5_conf_for_domain: wrote file /var/run/samba/smb_krb5/krb5.conf.AD with realm AD.UMN.EDU KDC list = kdc = 192.168.33.51
   kdc = 192.168.33.52
   kdc = 192.168.33.50
   kdc = 192.168.33.52
   kdc = 192.168.33.50

[2010/04/08 17:29:46, 4] libsmb/namequery_dc.c:143(ads_dc_name)
  ads_dc_name: using server='DCEB2.AD.UMN.EDU' IP=192.168.33.51
[2010/04/08 17:29:46, 5] libads/ldap.c:203(ads_try_connect)
  ads_try_connect: sending CLDAP request to DCEB2.AD.UMN.EDU (realm: AD.UMN.EDU)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [AD], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [ad.umn.edu], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD.UMN.EDU; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 3] libads/ldap.c:621(ads_connect)
  Successfully contacted LDAP server 192.168.33.51
[2010/04/08 17:29:46, 10] libads/ldap.c:62(ldap_open_with_timeout)
  Opening connection to LDAP server 'dceb2.ad.umn.edu:389', timeout 15 seconds
[2010/04/08 17:29:46, 10] libads/ldap.c:76(ldap_open_with_timeout)
  Connected to LDAP server 'dceb2.ad.umn.edu:389'
[2010/04/08 17:29:46, 3] libads/ldap.c:675(ads_connect)
  Connected to LDAP server dceb2.ad.umn.edu
[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] libsmb/namequery.c:86(saf_store)
  saf_store: domain = [AD], server = [dceb2.ad.umn.edu], expire = [1270766686]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = SAF/DOMAIN/AD; value = dceb2.ad.umn.edu and timeout = Thu Apr 8 17:44:46 2010
   (900 seconds ahead)
[2010/04/08 17:29:46, 10] libsmb/namequery.c:86(saf_store)
  saf_store: domain = [AD.UMN.EDU], server = [dceb2.ad.umn.edu], expire = [1270766686]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = SAF/DOMAIN/AD.UMN.EDU; value = dceb2.ad.umn.edu and timeout = Thu Apr 8 17:44:46 2010
   (900 seconds ahead)
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46, 4] libads/ldap.c:2849(ads_current_time)
  time offset is -1 seconds
[2010/04/08 17:29:46, 4] libads/sasl.c:1112(ads_sasl_bind)
  Found SASL mechanism GSS-SPNEGO
[2010/04/08 17:29:46, 3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.48018.1.2.2
[2010/04/08 17:29:46, 3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.113554.1.2.2
[2010/04/08 17:29:46, 3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.113554.1.2.2.3
[2010/04/08 17:29:46, 3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.3.6.1.4.1.311.2.2.10
[2010/04/08 17:29:46, 3] libads/sasl.c:789(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got server principal name = not_defined_in_RFC4178@please_ignore
[2010/04/08 17:29:46, 3] libsmb/clikrb5.c:687(ads_krb5_mk_req)
  ads_krb5_mk_req: krb5_cc_get_principal failed (No credentials cache found)
[2010/04/08 17:29:46, 10] libads/sasl.c:810(ads_sasl_spnego_bind)
  ads_sasl_spnego_krb5_bind failed with: No credentials cache found, calling kinit
[2010/04/08 17:29:46, 10] libads/kerberos.c:188(kerberos_kinit_password_ext)
  kerberos_kinit_password: as ENHS-NUNSTUDY$@AD.UMN.EDU using [MEMORY:net_ads] as ccache and config [/var/run/samba/smb_krb5/krb5.conf.AD]
[2010/04/08 17:29:46, 3] libsmb/clikrb5.c:620(ads_cleanup_expired_creds)
  ads_cleanup_expired_creds: Ticket in ccache[MEMORY:net_ads] expiration Fri, 09 Apr 2010 03:29:46 CDT
[2010/04/08 17:29:46, 10] libsmb/clikrb5.c:718(ads_krb5_mk_req)
  ads_krb5_mk_req: Ticket (<email address hidden>) in ccache (MEMORY:net_ads) is valid until: (Fri, 09 Apr 2010 03:29:46 CDT - 1270801786)
[2010/04/08 17:29:46, 3] libsmb/clikrb5.c:729(ads_krb5_mk_req)
  ads_krb5_mk_req: server marked as OK to delegate to, building forwardable TGT
[2010/04/08 17:29:46, 10] libsmb/clikrb5.c:896(get_krb5_smb_session_key)
  Got KRB5 session key of length 16
[2010/04/08 17:29:46, 11] libads/ldap.c:717(ads_connect)
  ads_connect: leaving with: Success
      ads: struct ads_struct
          is_mine : true
          ads: struct server
              realm : 'AD.UMN.EDU'
              workgroup : 'AD'
              ldap_server : NULL
              foreign : false
          ads: struct auth
              realm : 'AD.UMN.EDU'
              password : '(PASSWORD ommited)'
              user_name : 'ENHS-NUNSTUDY$'
              kdc_server : '192.168.33.51'
              flags : 0x00000000 (0)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     0: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset : 0xffffffff (4294967295)
              tgt_expire : Fri 09 Apr 2010 03:29:46 AM CDT CDT
              tgs_expire : Fri 09 Apr 2010 03:29:46 AM CDT CDT
              renewable : (time_t)0
          ads: struct config
              flags : 0x000011fd (4605)
                     1: DS_SERVER_PDC
                     1: DS_SERVER_GC
                     1: DS_SERVER_LDAP
                     1: DS_SERVER_DS
                     1: DS_SERVER_KDC
                     1: DS_SERVER_TIMESERV
                     1: DS_SERVER_CLOSEST
                     1: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     1: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm : 'AD.UMN.EDU'
              bind_path : 'dc=AD,dc=UMN,dc=EDU'
              ldap_server_name : 'dceb2.ad.umn.edu'
              server_site_name : 'TC'
              client_site_name : 'TC'
              current_time : Thu 08 Apr 2010 05:29:45 PM CDT CDT
              schema_path : NULL
              config_path : NULL
          ads: struct ldap
              ld : *
              ss : 192.168.33.51
              last_attempt : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port : 0x00000185 (389)
              wrap_type : 0x0001 (1)
              sbiod : NULL
              mem_ctx : *
              wrap_ops : NULL
              wrap_private_data : NULL
              ads: struct in
                  ofs : 0x00000000 (0)
                  needed : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_wrapped : 0x00000000 (0)
                  min_wrapped : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs : 0x00000000 (0)
                  left : 0x00000000 (0)
                  max_unwrapped : 0x00000000 (0)
                  sig_size : 0x00000000 (0)
                  size : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] lib/util.c:2626(name_to_fqdn)
  name_to_fqdn: lookup for ENHS-NUNSTUDY -> enhs-nunstudy.ad.umn.edu.
[2010/04/08 17:29:46, 2] lib/interface.c:340(add_interface)
  added interface eth0 ip=fe80::20c:29ff:fe9e:d4f8%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2010/04/08 17:29:46, 2] lib/interface.c:340(add_interface)
  added interface eth0 ip=160.94.224.93 bcast=160.94.224.255 netmask=255.255.255.0
[2010/04/08 17:29:46, 4] libads/dns.c:620(ads_dns_lookup_ns)
  ads_dns_lookup_ns: 5 records returned in the answer section.
[2010/04/08 17:29:46, 10] intl/lang_tdb.c:138(lang_tdb_init)
  lang_tdb_init: /usr/share/samba/en_US.UTF-8.msg: No such file or directory
DNS update failed!
[2010/04/08 17:29:46, 2] utils/net.c:779(main)
  return code = -1

Changed in samba (Ubuntu):
importance: Undecided → Medium
Chuck Short (zulcss) wrote :

Please attach your smb.conf.

thanks
chuck

Changed in samba (Ubuntu):
status: New → Incomplete
Aaron J. Zirbes (ajz) wrote :

[global]

   # Name
   server string = Test Samba Server
   netbios name = %h

   # AD Membership pointers
   workgroup = AD
   security = ADS
   realm = AD.UMN.EDU
   local master = no

   # NTLMv2 Security options
   client ntlmv2 auth = yes
   ntlm auth = no

   # Active Directory user mapping options
   # Commented out options can be enabled if AD turns on Unix Extenstions for AD
   idmap backend = tdb
   idmap uid = 16777216-33554431
   idmap gid = 16777216-33554431
   idmap config AD:backend = rid
   idmap config AD:range = 16777216-33554431

   template shell = /bin/bash
   template homedir = /home/%D/%U
   winbind separator = +
   winbind use default domain = yes
   winbind offline logon = true
   winbind enum users = no
   winbind enum groups = no
   winbind refresh tickets = true

   # Increased throughput
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192

   # Don't share printers
   load printers = no

Chuck Short (zulcss) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:

https://bugzilla.samba.org/show_bug.cgi?id=7356

Changed in samba (Ubuntu):
status: Incomplete → Triaged
Changed in samba:
status: Unknown → Confirmed
Timo Aaltonen (tjaalton) wrote :

This is now fixed upstream, perhaps the patch could be backported for lucid? (it was only accepted for master and 3.5-branch)

Changed in samba:
status: Confirmed → Fix Released
Timo Aaltonen (tjaalton) wrote :

Here's a debdiff that includes the two commits backported to 3.4-branch.

Changed in samba (Ubuntu Lucid):
status: New → Triaged
Timo Aaltonen (tjaalton) wrote :

for the record, I've tested the patches on lucid and they work fine.

tags: added: patch
Timo Aaltonen (tjaalton) wrote :

I need to do some further tests, seems like the server doesn't add a PTR record if there wasn't one when the host was added. Also, looks like it still fails on domain join.

Timo Aaltonen (tjaalton) wrote :

Ok, they are good after all. Samba doesn't add a PTR record, so these patches didn't help there. When the DNS doesn't know about the host, it'll create a new A record for it on domain join, and that works with these patches. So it was a false alarm.

Changed in samba:
importance: Unknown → Medium
Chuck Short (zulcss) wrote :

This has been fixed in natty. Needs to be backported to lucid.

chuck

tags: added: bitesize server-sru-easy
Changed in samba (Ubuntu):
status: Triaged → Fix Released
Chuck Short (zulcss) on 2011-04-14
summary: - net ads dns register fails in 2008 R2 domain
+ [SRU] net ads dns register fails in 2008 R2 domain
Clint Byrum (clint-fewbar) wrote :

APPROVED: version 2:3.4.7~dfsg-1ubuntu3.6 uploaded to lucid-proposed should be accepted.

Accepted samba into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in samba (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Can anyone please give this some testing?

Timo Aaltonen (tjaalton) wrote :

I had this patch (plus patches from Apple to support updating the PTR records) applied to a local package version at my previous job, so it did work. Aaron, can you confirm that the proposed version works?

Clint Byrum (clint-fewbar) wrote :
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:3.4.7~dfsg-1ubuntu3.6

---------------
samba (2:3.4.7~dfsg-1ubuntu3.6) lucid-proposed; urgency=low

  * debian/patches/backport-lp558793.patch: Fixes net ads dns register
    failing with Windows 2008 R2 domain. Backported from
    v3-4-stable tree (aaf6e34115c2bece85d0dc4f11951b38e9d77637
    and 0e1aec461ed69c82987cf86e6b1beb6862cc0fb4). (LP: #558793)
  * debian/patches/backport-lp736757.patch: Fix regression introduced
    by previous SRU bug fix. Backported from the v3-4-stable tree
    (995e7e500327e662b7ef2b37c83c92e75f2360bf) (LP: #736757)
 -- Chuck Short <email address hidden> Wed, 13 Apr 2011 11:13:44 -0400

Changed in samba (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.